summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-17 15:05:35 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:27 +0000
commitaa763397e6222caf15f1f4c86e05162b8764f3dc (patch)
treed6eb0898f78fce9db8581582e9c26ac7b1f64870
parent34490655252a304aff3fecc27dc81f4bc4e6d3fd (diff)
autopkgtests: break out fetch-nogit
-rw-r--r--tests/lib16
-rwxr-xr-xtests/tests/clone-nogit7
-rwxr-xr-xtests/tests/fetch-nogit16
-rw-r--r--tests/worktrees/pari-extra_3-1.tarbin0 -> 71680 bytes
4 files changed, 30 insertions, 9 deletions
diff --git a/tests/lib b/tests/lib
index 5ce17d6..8823b28 100644
--- a/tests/lib
+++ b/tests/lib
@@ -22,15 +22,25 @@ ln $troot/ssh ssh
mkdir $tmp/gnupg
export GNUPGHOME=$tmp/gnupg
-t-git () {
- mkdir -p $tmp/git
- cp -al $troot/git-srcs/$1 git/.
+t-worktree () {
+ rm -rf $p
+ tar xf $troot/worktrees/${p}_$1.tar
}
t-git-none () {
mkdir -p $tmp/git
}
+t-has-ancestor () {
+ local ancestor=`git rev-parse $1`
+ local now=`git rev-parse HEAD`
+ local mbase=`git merge-base $ancestor $now`
+ if [ x$mbase != x$ancestor ]; then
+ echo "not ff $ancestor..$now, $mbase != $ancestor"
+ exit 1
+ fi
+}
+
t-archive () {
p=$1
v=$2
diff --git a/tests/tests/clone-nogit b/tests/tests/clone-nogit
index 709aa1f..978afb8 100755
--- a/tests/tests/clone-nogit
+++ b/tests/tests/clone-nogit
@@ -2,17 +2,12 @@
set -e
. tests/lib
-t-git-none
t-archive pari-extra 3-1
+t-git-none
t-dgit clone $p
cd $p
t-cloned-fetched-good
-t-archive pari-extra 3-2~dummy1
-
-t-dgit pull
-t-cloned-fetched-good
-
echo ok
diff --git a/tests/tests/fetch-nogit b/tests/tests/fetch-nogit
new file mode 100755
index 0000000..7937a6f
--- /dev/null
+++ b/tests/tests/fetch-nogit
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-2~dummy1
+t-git-none
+t-worktree 3-1
+cd $p
+old=`git rev-parse HEAD`
+
+t-dgit pull
+
+t-cloned-fetched-good
+t-has-ancestor $old
+
+echo ok
diff --git a/tests/worktrees/pari-extra_3-1.tar b/tests/worktrees/pari-extra_3-1.tar
new file mode 100644
index 0000000..115a795
--- /dev/null
+++ b/tests/worktrees/pari-extra_3-1.tar
Binary files differ